import sys
import socket
import gettext
_=gettext.gettext

try:
    import gtk
except RuntimeError,e:
    print _("Unable to initialize graphical environment. Most likely cause of failure\n\
is that the tool was not run using a graphical environment. Please either\n\
start your graphical user interface or set your DISPLAY variable. \n\
Caught exception: %s" % e)
    sys.exit(-1)

def idle_func():
    while gtk.events_pending():
        gtk.main_iteration()
        
class Cursor:
    def __init__(self,window):
        self.window=window
        self.busy_cursor = gtk.gdk.Cursor(gtk.gdk.WATCH)
        self.ready_cursor = gtk.gdk.Cursor(gtk.gdk.LEFT_PTR)
        
    def wait(self):
        self.window.set_cursor(self.busy_cursor)
        idle_func()
    
    def ready(self):
        self.window.set_cursor(self.ready_cursor)
        idle_func()
    
import os

def yesNoQuestion(message):
    dlg = gtk.MessageDialog(None, 0, gtk.MESSAGE_QUESTION, gtk.BUTTONS_YES_NO,
                            message)
    dlg.show_all()
    rc = dlg.run()
    dlg.destroy()
    return rc
        
def errorMessage(message):
    dlg = gtk.MessageDialog(None, 0, gtk.MESSAGE_ERROR, gtk.BUTTONS_OK,
                            message)
    dlg.show_all()
    rc = dlg.run()
    dlg.destroy()
    return rc
        
def warningMessage(message):
    dlg = gtk.MessageDialog(None, 0, gtk.MESSAGE_WARNING, gtk.BUTTONS_OK,
                            message)
    dlg.show_all()
    rc = dlg.run()
    dlg.destroy()
    return rc
        
